Subject: Density Functional Theory

From: JORGE <[email-masked]>
Date: 24 Feb 1994 15:51:40 -0600 (CST)

Here my answers to Bob Williams. Enjoy!

>We are interested in the relative merits of
>Density Functional Theory calculations,
>but we do not have access to appropriate software.

The best merit, as our group is concerned, is that
we can get better energetics (atomization energies)
than MP4SDTQ/6-311+G** or QCISD(T)/6-311G**.
The lowest level of theory that improves the
DFT is MP4SDTQ/6-311(2df,p).
I don't mean by this that we should not continue
developing sophisticated ab initio methods. We 
certainly need then to continue the development
of better functionals.
We used Perdew-Wang functionals for this
particular comparison with a basis set with double
zeta valence plus polarization functions on all
atoms (like 6-31G**).(preprints on request)

>What is the relative speed of DFT optimization
>and frequency calculations on a large molecule
>at modest levels of theory
>(compared to a similar RHF/4-31G job).

The problem (actually advantage) is that DFT
calculations contain almost all of the
correlation portion missing in HF; therefore, it 
requires of polarization functions for its correct
calculation. Calculations without polarization 
functions yield qualitatively wrong results
(similar situation would happen doing MP4/4-31G).
Basically DFT scales as N**3 as opposed to HF who 
scales as N**4. For large systems both exponents
decrease. For small systems, it is commom
that the N**3 is not that advantage because the numerical
integrations involved in DFT codes. When you have ten or
more heavy atoms DFT is the only choice for good energetics.
With respect to second derivatives, until G92/DFT we (in UNO)
did not have an analytical procedure to calculate second 
derivatives. The programs I used have numerical second
derivatives and they were really slow, as they are also
with other ab initio methods using numerical second
derivatives. We hope that analytical second derivatives
for DFT methods became common very soon.

>Also, we would like to know something about
>the quality of the force matrix and frequencies
>produced by modest level DFT calculations,

There is no problem in the quality of results
but the strong limiting fact was that the 
numerical second derivatives were too slow.
(as I told you I have not tried yet G92/DFT for
frequency calculations).
Finally, the modest DFT calculation you want to try
have to use a 6-31G** basis set or equivalent. The
advantage is that you don't need a bigger basis
because the quality of the calculation at that point
is given by the functional you choose any further improvement
would have to done to the functional.

>and about the transferability of scale factors.
>That is: how does the "cancelation of errors" produced by
>DFT compare to that from the 4-31G level.

Being DFT a more precise tool than [HF/]4-31 level,
the errors are much smaller, therefore
DFT do not require of such an (big) error cancellation.
However, I am not very sure to what error
cancellations you referring to.

Hope this help

Jorge M. Seminario
[email-masked]